diff options
author | Loïc Hoguin <[email protected]> | 2015-09-29 15:13:27 +0200 |
---|---|---|
committer | Loïc Hoguin <[email protected]> | 2015-09-29 15:13:27 +0200 |
commit | c148e886257b695d8c61a4aaf10aee3cf4a770d1 (patch) | |
tree | ade51a4420ab9f11178453f9fdfb245be6244de6 /core | |
parent | fe5c42fb818acf9ad6ca6589ea182dfbfbaa5427 (diff) | |
download | erlang.mk-c148e886257b695d8c61a4aaf10aee3cf4a770d1.tar.gz erlang.mk-c148e886257b695d8c61a4aaf10aee3cf4a770d1.tar.bz2 erlang.mk-c148e886257b695d8c61a4aaf10aee3cf4a770d1.zip |
Improve a few comments and messages
Diffstat (limited to 'core')
-rw-r--r-- | core/core.mk | 1 | ||||
-rw-r--r-- | core/deps.mk | 6 |
2 files changed, 3 insertions, 4 deletions
diff --git a/core/core.mk b/core/core.mk index 1d0012d..407b940 100644 --- a/core/core.mk +++ b/core/core.mk @@ -178,7 +178,6 @@ core_find = $(if $(wildcard $1),$(shell find $(1:%/=%) -type f -name $(subst *,\ core_lc = $(subst A,a,$(subst B,b,$(subst C,c,$(subst D,d,$(subst E,e,$(subst F,f,$(subst G,g,$(subst H,h,$(subst I,i,$(subst J,j,$(subst K,k,$(subst L,l,$(subst M,m,$(subst N,n,$(subst O,o,$(subst P,p,$(subst Q,q,$(subst R,r,$(subst S,s,$(subst T,t,$(subst U,u,$(subst V,v,$(subst W,w,$(subst X,x,$(subst Y,y,$(subst Z,z,$(1))))))))))))))))))))))))))) -# @todo On Windows: $(shell dir /B $(1)); make sure to handle when no file exists. core_ls = $(filter-out $(1),$(shell echo $(1))) # @todo Use a solution that does not require using perl. diff --git a/core/deps.mk b/core/deps.mk index 6a14114..00cc05f 100644 --- a/core/deps.mk +++ b/core/deps.mk @@ -61,8 +61,8 @@ endif if [ -f $$dep/GNUmakefile ] || [ -f $$dep/makefile ] || [ -f $$dep/Makefile ]; then \ $(MAKE) -C $$dep IS_DEP=1 || exit $$?; \ else \ - echo "ERROR: No Makefile to build dependency $$dep."; \ - exit 1; \ + echo "Error: No Makefile to build dependency $$dep."; \ + exit 2; \ fi \ fi \ done @@ -521,7 +521,7 @@ define dep_fetch_hex endef define dep_fetch_fail - echo "Unknown or invalid dependency: $(1). Please consult the erlang.mk README for instructions." >&2; \ + echo "Error: Unknown or invalid dependency: $(1)." >&2; \ exit 78; endef |